/************************************************************************
*									*
*  Dep.h contains some machine-dependent definitions.			*
*									*
************************************************************************/


#ifndef DEP
#define DEP

#define MAXDIGITS	12
#define MININT		-2147483648
#define	MINSTR		"-2147483648"
#define	MAXCHAR		255
#define	MAXSHORT	32767
#define MINSHORT	-32768
#define	MAX_TOKEN_NUMBER	MAXSHORT
#define BITS_PER_WORD	32
#define	WORDSIZE(n)	((n) > 0 ? ((n) - 1)/32 + 1 : 0)
#define	ROWSIZE(n)	(sizeof(unsigned)*WORDSIZE(n))
#define	BIT(r, n)	((((r)[(n) >> 5]) >> ((n) & 31)) & 1)
#define	SETBIT(r, n)	((r)[(n) >> 5] |= (1 << ((n) & 31)))

#endif
